package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * PsmJobV3对象 psm_job_v3
 *
 * @author hlf
 * @date 2022-01-10
 */
public class PsmJobV3 extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long rtuNo;

    private Long jobType;

    private Long jobKey1;

    private String jobName;

    private Date beginTime;

    private Date endTime;

    private Long execInterval;

    private Date nextExecTime;

    private String procName;

    private Long procFlag;

    private String directory;

    private String windplantName;

    private String procFlagName;

    public void setRtuNo(Long rtuNo) {
        this.rtuNo = rtuNo;
    }

    public Long getRtuNo() {
        return rtuNo;
    }

    public void setJobType(Long jobType) {
        this.jobType = jobType;
    }

    public Long getJobType() {
        return jobType;
    }

    public void setJobKey1(Long jobKey1) {
        this.jobKey1 = jobKey1;
    }

    public Long getJobKey1() {
        return jobKey1;
    }

    public void setJobName(String jobName) {
        this.jobName = jobName;
    }

    public String getJobName() {
        return jobName;
    }

    public void setBeginTime(Date beginTime) {
        this.beginTime = beginTime;
    }

    public Date getBeginTime() {
        return beginTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setExecInterval(Long execInterval) {
        this.execInterval = execInterval;
    }

    public Long getExecInterval() {
        return execInterval;
    }

    public void setNextExecTime(Date nextExecTime) {
        this.nextExecTime = nextExecTime;
    }

    public Date getNextExecTime() {
        return nextExecTime;
    }

    public void setProcName(String procName) {
        this.procName = procName;
    }

    public String getProcName() {
        return procName;
    }

    public void setProcFlag(Long procFlag) {
        this.procFlag = procFlag;
    }

    public Long getProcFlag() {
        return procFlag;
    }

    public void setDirectory(String directory) {
        this.directory = directory;
    }

    public String getDirectory() {
        return directory;
    }

    public String getWindplantName() {
        return windplantName;
    }

    public void setWindplantName(String windplantName) {
        this.windplantName = windplantName;
    }

    public String getProcFlagName() {
        return procFlagName;
    }

    public void setProcFlagName(String procFlagName) {
        this.procFlagName = procFlagName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("rtuNo", getRtuNo())
                .append("jobType", getJobType())
                .append("jobKey1", getJobKey1())
                .append("jobName", getJobName())
                .append("beginTime", getBeginTime())
                .append("endTime", getEndTime())
                .append("execInterval", getExecInterval())
                .append("nextExecTime", getNextExecTime())
                .append("procName", getProcName())
                .append("procFlag", getProcFlag())
                .append("directory", getDirectory())
                .toString();
    }
}
